//
//  QPLOperation.h
//  QuickPayLibrary
//

#import <Foundation/Foundation.h>

@interface QPLOperation : NSObject
@property NSNumber * id;
@property NSString * type;
@property NSNumber * amount;
@property (getter=isPending) NSNumber * pending;
@property NSString * qpStatusCode;
@property NSString * qpStatusMsg;
@property NSString * aqStatusCode;
@property NSString * aqStatusMsg;
@property NSDictionary * data;
@property NSString * callbackUrl;
@property (getter=isCallbackSuccess)NSNumber * callbackSuccess;
@property (getter=isCallbackResponseCode)NSNumber * callbackResponseCode;
@property NSNumber * callbackDuration;
@property NSString * acquirer;
@property NSString * callbackAt;
@property NSString * createdAt;
-(NSDictionary*) toDictionary;
-(void) fromDictionary:(NSDictionary*) dict;
+(NSDictionary*) operationToDictionary:(QPLOperation *)operation;
+(NSArray*) operationsToDictionaries:(NSArray<QPLOperation*>*)operations;
+(QPLOperation*) operationFromDictionary:(NSDictionary*)dict;
+(NSArray<QPLOperation*> *) operationsFromDictionaries:(NSArray<NSDictionary*>*)array;
@end
