//
//  QPLPayment.h
//  QuickPayLibrary
//
#import <Foundation/Foundation.h>
#import "QPLShipping.h"
#import "QPLAddress.h"
#import "QPLBasket.h"
#import "QPLOperation.h"

@interface QPLPayment : NSObject
-(void) readFromJSONdata:(NSData *) jsonData error:(NSError *)error;
-(NSDictionary *) toDictionary;
-(void) fromDictionary:(NSDictionary*) dict;
+(QPLPayment *) paymentFromDictionary:(NSDictionary * )dict;
+(NSDictionary *) paymentToDictionary:(QPLPayment *) payment;
@property NSNumber * id;
@property NSNumber * merchantId;
@property NSString * orderId;
@property (getter=isAccepted) NSNumber * accepted;
@property NSString *     type;
@property NSString *     textOnStatement;
@property NSNumber *     brandingId;
@property NSDictionary * variables;
@property NSString *     currency;
@property NSString *     state;
@property NSDictionary * metadata;
@property NSDictionary * link;
@property QPLAddress *   shippingAddress;
@property QPLAddress *   invoiceAddress;
@property NSArray<QPLBasket *>* basket;
@property QPLShipping *  shipping;
@property NSArray<QPLOperation*> * operations;
@property (getter=isTestMode) NSNumber * testMode;
@property NSString * acquirer;
@property NSString * facilitator;
@property NSString * createtAt;
@property NSString * updatedAt;
@property NSString * retentedAt;
@property NSNumber * balance;
@property NSNumber * fee;
@property NSNumber * subscriptionId;
@property NSString * deadlineAt;
@end
